Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 665071 - Scheduled repo syncs do not use the async task framework
Summary: Scheduled repo syncs do not use the async task framework
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: Sprint 22
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: verified-to-close 684061
TreeView+ depends on / blocked
 
Reported: 2010-12-22 16:23 UTC by Jay Dobies
Modified: 2011-08-16 13:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 13:58:41 UTC


Attachments (Terms of Use)

Description Jay Dobies 2010-12-22 16:23:45 UTC
Cron calls directly into the repo API module, which triggers the sync itself. While this will execute in a process outside of the WSGI app, it prevents (or at least complicates) us from being able to properly throttle repo syncs since they are not all funneled through the same approach.

Comment 1 Jason Connor 2011-04-13 15:52:18 UTC
This is fixed by the new rhui scheduling feature.

Comment 2 Jay Dobies 2011-04-13 19:22:54 UTC
Fixed in build 0.163.

Comment 3 Preethi Thomas 2011-07-06 16:59:15 UTC
verified

Comment 4 Preethi Thomas 2011-08-16 13:58:41 UTC
Closing with Community Release 15

pulp-0.0.223-4.


Note You need to log in before you can comment on or make changes to this bug.